<div class="row no-gutters shop_wrapper">
    <?php
    session_start();
    include('../conexion.php');
    include '../include/pagination.php';
    include('../include/sesiones.php');

    $palabra = $_GET['palabra'];

    

    if (isset($_GET["palabra"]) && empty($_GET["mar_id"])) {

        $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
        $per_page = 12;
        $adjacents  = 4;
        $offset = ($page - 1) * $per_page;
        $count_query   = mysqli_query($con, "SELECT count(*) AS numrows FROM articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id and a.art_nombre_online like '%$palabra%' and ab.art_cantidad>0 and a.art_tipo='articulo' and a.art_online='Activo' and a.art_estado='Activo' and a.empresa='$emp_id' and ab.empresa='$emp_id' ");
        $row = mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows / $per_page);
        $reload = './P_pos.php';
        $sql = "SELECT *,a.art_id as art_id_art FROM articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id and a.art_nombre_online like '%$palabra%' and ab.art_cantidad>0  and a.empresa='$emp_id' and ab.empresa='$emp_id' LIMIT  $offset,$per_page";
        $query = mysqli_query($con, $sql);
    } else if (isset($_GET["mar_id"]) && isset($_GET["palabra"])) {

        $brand_filter = implode("','", $_GET["mar_id"]);
        $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
        $per_page = 12;
        $adjacents  = 4;
        $offset = ($page - 1) * $per_page;
        $count_query   = mysqli_query($con, "SELECT count(*) AS numrows FROM articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id 
        and a.art_nombre_online like '%$palabra%'  and a.empresa='$emp_id' and ab.empresa='$emp_id' and a.art_tipo='articulo' and a.art_online='Activo' and a.art_estado='Activo' and a.marca_mar_id IN('" . $brand_filter . "')
        and ab.art_cantidad>0 ");
        $row = mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows / $per_page);
        $reload = './P_pos.php';

        $sql = "SELECT*,a.art_id as art_id_art FROM articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id and a.art_nombre_online like '%$palabra%'  and a.empresa='$emp_id' and ab.empresa='$emp_id' and a.art_tipo='articulo' and a.art_online='Activo' and a.art_estado='Activo' and a.marca_mar_id IN('" . $brand_filter . "') and ab.art_cantidad>0 LIMIT  $offset,$per_page";
        $query = mysqli_query($con, $sql);
    }


    while ($load1 = mysqli_fetch_array($query)) {
        $nombre_archivo = '../../img/articulos/' . $load1['art_id_art'] . '.jpg';
        include('tabla_articulos2.php');
    }    ?>
</div>
<div class="shop_toolbar t_bottom">
    <div class="pagination">
        <ul>
            <?php echo paginate($reload, $page, $total_pages, $adjacents); ?>
        </ul>
    </div>
</div>
<div id="resultados"></div>
<script type="text/javascript">
    function envia_deseos(art_id) {
        var parametros = {
            "art_id": art_id
        };
        $.ajax({
            data: parametros,
            url: './php_tienda/registrar_deseos.php',
            type: 'POST',
            beforeSend: function() {
                $('#resultados').html('');
            },
            success: function(datos) {
                $("#resultados").html(datos);
                cambiar1();
                cambiar12();
                buscador();
            }
        });
    }


    function eliminar_deseo(art_id) {
        var parametros = {
            "art_id": art_id
        };
        $.ajax({
            data: parametros,
            url: './php_tienda/eliminar_deseo.php',
            type: 'POST',
            beforeSend: function() {
                $('#resultados').html('');
            },
            success: function(datos) {
                $("#resultados").html(datos);
                cambiar2();
                cambiar22();
                buscador();
            }
        });
    }



    function envia_carrito1(art_id, cantidad) {
        var parametros = {
            "art_id": art_id,
            "cantidad": cantidad
        };
        $.ajax({
            data: parametros,
            url: './php_tienda/sessiones_cart.php',
            type: 'POST',
            beforeSend: function() {
                $('#resultados').html('');
            },
            success: function(datos) {
                $("#resultados").html(datos);
                buscador();
            }
        });
    }
</script>